import { getDefaultTimeRangeOnMobile } from '@utils/time-range';

describe('getDefaultTimeRangeOnMobile', () => {
    beforeEach(() => {
        jasmine.clock().install();
        jasmine.clock().mockDate(new Date(2022, 5, 28, 14, 21));
    });

    afterEach(() => {
        jasmine.clock().uninstall();
    });

    it('should return 13001700 time range', () => {
        const result = getDefaultTimeRangeOnMobile();

        expect(result.timeFrom).toBe('1300');
        expect(result.timeTo).toBe('1700');
    });
});
